<manifest version="1.0" type="device">
    <hal format="hidl">
        <name>android.hardware.nfc</name>
        <transport>hwbinder</transport>
        <version>1.2</version>
        <interface>
            <name>INfc</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" override="true">
        <name>android.hardware.radio</name>
        <transport>hwbinder</transport>
        <version>1.2</version>
        <interface>
            <name>IRadio</name>
            <instance>em1</instance>
            <instance>em2</instance>
            <instance>imsAospSlot1</instance>
            <instance>imsAospSlot2</instance>
            <instance>se1</instance>
            <instance>se2</instance>
            <instance>slot1</instance>
            <instance>slot2</instance>
        </interface>
        <interface>
            <name>ISap</name>
            <instance>slot1</instance>
            <instance>slot2</instance>
        </interface>
        <fqname>@1.2::IRadio/em1</fqname>
        <fqname>@1.2::IRadio/em2</fqname>
        <fqname>@1.2::IRadio/imsAospSlot1</fqname>
        <fqname>@1.2::IRadio/imsAospSlot2</fqname>
        <fqname>@1.2::IRadio/se1</fqname>
        <fqname>@1.2::IRadio/se2</fqname>
        <fqname>@1.2::IRadio/slot1</fqname>
        <fqname>@1.2::IRadio/slot2</fqname>
        <fqname>@1.2::ISap/slot1</fqname>
        <fqname>@1.2::ISap/slot2</fqname>
        <fqname>@1.5::IRadio/em1</fqname>
        <fqname>@1.5::IRadio/em2</fqname>
        <fqname>@1.5::IRadio/imsAospSlot1</fqname>
        <fqname>@1.5::IRadio/imsAospSlot2</fqname>
        <fqname>@1.5::IRadio/se1</fqname>
        <fqname>@1.5::IRadio/se2</fqname>
        <fqname>@1.5::IRadio/slot1</fqname>
        <fqname>@1.5::IRadio/slot2</fqname>
    </hal>
    <hal format="hidl" override="true">
        <name>android.hardware.secure_element</name>
        <transport>hwbinder</transport>
        <version>1.2</version>
        <interface>
            <name>ISecureElement</name>
            <instance>SIM1</instance>
            <instance>SIM2</instance>
        </interface>
        <fqname>@1.2::ISecureElement/SIM1</fqname>
        <fqname>@1.2::ISecureElement/SIM2</fqname>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.mediatek.hardware.mtkradioex</name>
        <transport>hwbinder</transport>
        <version>2.0</version>
        <interface>
            <name>IMtkRadioEx</name>
            <instance>imsSlot1</instance>
            <instance>imsSlot2</instance>
            <instance>mtkAssist1</instance>
            <instance>mtkAssist2</instance>
            <instance>mtkCap1</instance>
            <instance>mtkCap2</instance>
            <instance>mtkEm1</instance>
            <instance>mtkEm2</instance>
            <instance>mtkRcs1</instance>
            <instance>mtkRcs2</instance>
            <instance>mtkSe1</instance>
            <instance>mtkSe2</instance>
            <instance>mtkSlot1</instance>
            <instance>mtkSlot2</instance>
        </interface>
        <fqname>@2.0::IMtkRadioEx/imsSlot1</fqname>
        <fqname>@2.0::IMtkRadioEx/imsSlot2</fqname>
        <fqname>@2.0::IMtkRadioEx/mtkAssist1</fqname>
        <fqname>@2.0::IMtkRadioEx/mtkAssist2</fqname>
        <fqname>@2.0::IMtkRadioEx/mtkCap1</fqname>
        <fqname>@2.0::IMtkRadioEx/mtkCap2</fqname>
        <fqname>@2.0::IMtkRadioEx/mtkEm1</fqname>
        <fqname>@2.0::IMtkRadioEx/mtkEm2</fqname>
        <fqname>@2.0::IMtkRadioEx/mtkRcs1</fqname>
        <fqname>@2.0::IMtkRadioEx/mtkRcs2</fqname>
        <fqname>@2.0::IMtkRadioEx/mtkSe1</fqname>
        <fqname>@2.0::IMtkRadioEx/mtkSe2</fqname>
        <fqname>@2.0::IMtkRadioEx/mtkSlot1</fqname>
        <fqname>@2.0::IMtkRadioEx/mtkSlot2</fqname>
    </hal>
</manifest>
